# $Revision: 1.39 $, $Date: 2007-12-24 15:36:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Heap - Perl extensions for keeping data partially sorted
Summary(pl.UTF-8):	Heap - rozszerzenie Perla do przechowywania danych częściowo posortowanych
Name:		perl-Heap
Version:	0.80
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Heap/Heap-%{version}.tar.gz
# Source0-md5:	05fed19a7552dadee11c780cd68c0116
URL:		http://search.cpan.org/dist/Heap/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Heap module is a collection of routines for managing a heap data
structure.

The Heap collection of modules provide routines that manage a heap of
elements.  A heap is a partially sorted structure that is always able
to easily extract the smallest of the elements in the structure (or
the largest if a reversed compare routine is provided).

%description -l pl.UTF-8
Zestaw modułów Heap to udostępnia procedury do zarządzania strukturą
danych sterty. Sterta to częściowo posortowana struktura danych, która
umożliwia łatwe znalezienie elementu najmniejszego (lub największego w
przypadku podania odwrotnej funkcji porównującej).

%prep
%setup -q -n Heap-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Heap.pm
%{perl_vendorlib}/Heap
# empty autosplit.ix files
#%%{perl_vendorlib}/auto/Heap
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Heap.spec,v $
Revision 1.39  2007-12-24 15:36:41  qboosh
- generic URL

Revision 1.38  2007-12-24 02:13:48  zbyniu
- up to 0.80

Revision 1.37  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.35  2004/10/24 15:10:36  paladine
- spelling fix

Revision 1.34  2004/08/08 18:36:40  adamg
- updated to 0.71

Revision 1.33  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.32  2004/05/06 18:43:12  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/22 08:49:55  ankry
- summary/desc

Revision 1.29  2003/12/09 19:07:47  migo
- up to 0.70
- fixed license
- new bcond style, cosmetics

Revision 1.28  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:42  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/28 10:08:23  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.21  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:33:25  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/09/19 12:14:20  ankry
- added tests on bcond
- removed empty autosplit.ix, cleaning
- release 6

Revision 1.18  2002/07/20 10:20:21  qboosh
- new %%doc, fixed pl description; release 5

Revision 1.17  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/03/03 08:52:13  kloczek
- release 4.

Revision 1.15  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/10 15:26:49  depesz
adapterized

Revision 1.13  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:10:48  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/02/19 14:08:03  mis
- updated (by autoup) to 0.50

Revision 1.8  2001/01/08 21:42:03  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 18:42:13  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
